Bug 111530 - undefined source code
undefined source code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: x3270 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 17:07 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 09:16:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-12-04 17:07:44 EST
Description of problem:
I just tried to compile package x3270-3.2.20-4.2 from Fedora.

The compiler said

ft_dft.c:427: warning: operation on `obptr' may be undefined

The source code is

	SET16(obptr, bufptr-obptr+4);

Suggest either

. avoid obptr being part of both the two parameters

or 

. change the definition of the SET16 macro.


The definition of the SET16 macro is

#define SET16(ptr, val) { \
        *((ptr)++) = ((val) & MASK16) >> 8; \
        *((ptr)++) = ((val) & MASK08); \
}

This might be better.

#define SET16(ptr, val) { \
        ptr[ 0] = ((val) & MASK16) >> 8; \
		++ptr; \
        ptr[ 0] = ((val) & MASK08); \
		++ptr; \
}


Version-Release number of selected component (if applicable):
x3270-3.2.20-4.2 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karsten Hopp 2003-12-04 17:15:17 EST
which compiler are you using ?  (rpm -q gcc; gcc --version) 
Do you get a similar error with the x3270-3.3.2-1 package from 
fedora/development ? 
Comment 2 d.binderman 2003-12-04 19:04:04 EST
>which compiler are you using ?

This is not significant, but I am using gcc332 with flag -Wall.

It detects the undefined code in question.

>Do you get a similar error with the x3270-3.3.2-1 package from 
>fedora/development ?

I have no idea. 

If you want to prove that the bug is fixed in a later version, then 
I'm not stopping you.
 

Note You need to log in before you can comment on or make changes to this bug.